Skip to main content
GET
/
cms
/
v3
/
hubdb
/
tables
Get all published tables
curl --request GET \
  --url https://api.hubapi.com/cms/v3/hubdb/tables \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "allowChildTables": true,
      "allowPublicApiAccess": true,
      "columnCount": 123,
      "columns": [
        {
          "deleted": true,
          "description": "<string>",
          "id": "<string>",
          "label": "<string>",
          "name": "<string>",
          "type": "BOOLEAN",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "createdByUserId": 123,
          "foreignColumnId": 123,
          "foreignIds": [
            {
              "id": "<string>",
              "name": "<string>",
              "type": "<string>"
            }
          ],
          "foreignIdsById": {},
          "foreignIdsByName": {},
          "foreignTableId": 123,
          "optionCount": 123,
          "options": [
            {
              "createdAt": "2023-11-07T05:31:56Z",
              "id": "<string>",
              "label": "<string>",
              "name": "<string>",
              "order": 123,
              "type": "<string>",
              "updatedAt": "2023-11-07T05:31:56Z",
              "createdBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "createdByUserId": 123,
              "updatedBy": {
                "email": "<string>",
                "firstName": "<string>",
                "id": "<string>",
                "lastName": "<string>"
              },
              "updatedByUserId": 123
            }
          ],
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>"
          },
          "updatedByUserId": 123,
          "width": 123
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "deleted": true,
      "deletedAt": "2023-11-07T05:31:56Z",
      "dynamicMetaTags": {},
      "enableChildTablePages": true,
      "id": "<string>",
      "label": "<string>",
      "name": "<string>",
      "published": true,
      "publishedAt": "2023-11-07T05:31:56Z",
      "rowCount": 123,
      "updatedAt": "2023-11-07T05:31:56Z",
      "useForPages": true,
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      },
      "isOrderedManually": true,
      "updatedBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>"
      }
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

contentType
string
createdAfter
string<date-time>
createdAt
string<date-time>
createdBefore
string<date-time>
isGetLocalizedSchema
boolean
limit
integer<int32>

The maximum number of results to display per page.

sort
string[]
updatedAfter
string<date-time>
updatedAt
string<date-time>
updatedBefore
string<date-time>

Response

successful operation

results
object[]
required
total
integer<int32>
required

The total number of tables available in the collection.

paging
object
Last modified on February 12, 2026